#version 150
#extension GL_ARB_explicit_attrib_location : enable

//<attributes>
layout(location = 0) in vec3 inPos;
layout(location = 4) in vec3 inNormal;
//</attributes>

//<u>
uniform mat4 mvpMat;
uniform mat3 nMat;
//</u>

out vertexData
{
	vec3 EyeNormal;
} vO;

void main(void)
{
	gl_Position = mvpMat*vec4(inPos,1.0);
	vO.EyeNormal = normalize(nMat * inNormal).xyz;
}